# frozen_string_literal: true
[
  File.join(File.dirname(__FILE__), '..'),
  File.join(File.dirname(__FILE__), '..', 'lib/fluent/plugin'),
  File.join(File.dirname(__FILE__), '..', 'spec')
].each do |dir|
  $LOAD_PATH.unshift(dir) unless $LOAD_PATH.include?(dir)
end

require 'metrics_helper'
require 'date'
require 'rspec'
require 'rest-client'
require './spec/fixtures/files/creds'


RSpec.describe MetricsHelper do
  jpd_url, username, apikey, token = get_credentials
  describe '#get_metrics' do
    it 'should return response code 200 and response body > 1' do
      response = RestClient::Request.new(
        method: :get,
        url: "#{jpd_url}/artifactory/api/v1/metrics",
        user: username.to_s,
        password: apikey.to_s
      ).execute do |response, request, result|
        expect(response.code).to eq(200)
        expect(response.size).to be > 1
      end
    end

    it 'should return response code 200 and response body > 1' do
      helper = MetricsHelper.new('jfrog.artifactory', jpd_url, username, apikey, token)
      url = "#{jpd_url}/observability/api/v1/metrics"
      helper.check_endpoint(url, token)
    end

  end
end
